Page MenuHomePhabricator

Special:Notifications fails to show foreign notifications (or any UI at all) on wikis where you've never received a notification
Closed, ResolvedPublic

Description

tcywiki was created today, so you've probably never received a notification there. If you go to https://tcy.wikipedia.org/wiki/Special:Notifications, you should expect to see something that lets you view unread notifications from other wikis still (like when you go to Special:Notifications on wikis where you have historical notifications but no unread ones), but instead it just shows "You have no notifications" and no UI whatsoever.

Reported by @Reedy on IRC while tcywiki was being set up.

Event Timeline

Catrope created this task.Aug 4 2016, 10:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2016, 10:31 PM
Reedy added a comment.Aug 4 2016, 10:45 PM

Browser console has a couple of errors:

Exception in module-execute in module ext.echo.special:
load.php?debug=false&lang=en-gb&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0wf6vc6:175 TypeError: Cannot read property 'preferences' of null TypeError: Cannot read property 'preferences' of null(…)log @ load.php?debug=false&lang=en-gb&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0wf6vc6:175

TypeError: Cannot read property 'preferences' of null TypeError: Cannot read property 'preferences' of null(…)

Change 303158 had a related patch set uploaded (by Sbisson):
Output wgNotificationsSpecialPageLinks js var even if no local notifications

https://gerrit.wikimedia.org/r/303158

SBisson claimed this task.Aug 5 2016, 1:28 PM
SBisson moved this task from Untriaged to Needs Review on the Collab-Team-Q1-July-Sep-2016 board.

Change 303158 had a related patch set uploaded (by Sbisson):
Output wgNotificationsSpecialPageLinks js var even if no local notifications
https://gerrit.wikimedia.org/r/303158

@SBisson This only fixes the JS error, not the rest of the bug, right?

Change 303158 merged by jenkins-bot:
Output wgNotificationsSpecialPageLinks js var even if no local notifications

https://gerrit.wikimedia.org/r/303158

@Catrope I think it fixes everything.

The "no notifications" message is correctly displayed by the no-js page since it doesn't show foreign notifications. The js error was preventing the js app from taking over.

It seems to work now. Am I missing something?

According to the specs, Special:Notificaitons should show the notifications from foreign wikis (the option is enabled by default). @SBisson - the specs were changed?

According to the specs, Special:Notificaitons should show the notifications from foreign wikis (the option is enabled by default). @SBisson - the specs were changed?

It was never the case on the no-js version.

Checked the fix in betalabs -Special:Notifications page is displayed according to the specs.

  • the Console error is gone
  • the screenshots below are for Special;Notifications page with no local wiki notificaitons:


Monobook skin:

jmatazzoni closed this task as Resolved.Aug 8 2016, 7:36 PM